Metrics
curl --request GET \
--url https://taap.it/api/v1/radar/overview \
--header 'Authorization: <authorization>'import requests
url = "https://taap.it/api/v1/radar/overview"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://taap.it/api/v1/radar/overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"people": 123,
"visits": 123,
"pageviews": 123,
"events": 123,
"revenue": 123,
"revenue_currency": "<string>",
"sales": 123,
"conversion_rate": 123,
"revenue_per_visitor": 123,
"bounce_rate": 123,
"avg_duration_s": 123,
"avg_duration_mmss": "<string>"
}
}Radar API
Metrics
Retrieve aggregate Radar metrics for a date range
GET
/
api
/
v1
/
radar
/
overview
Metrics
Returns aggregate metrics for the project bound to your API key over the requested date range.
Request:
Response:
cURL
curl -X GET 'https://taap.it/api/v1/radar/overview?start=2026-01-01T00:00:00Z&end=2026-01-31T23:59:59Z' \
-H 'Authorization: Bearer taapit_your_api_key_here'
{
"data": {
"people": 1280,
"visits": 1890,
"pageviews": 5230,
"events": 412,
"revenue": 1990.5,
"revenue_currency": "EUR",
"sales": 23,
"conversion_rate": 1.79,
"revenue_per_visitor": 1.05,
"bounce_rate": 38.2,
"avg_duration_s": 142,
"avg_duration_mmss": "02:22"
}
}
Authorization
string
required
Bearer token with your Radar API key. Format:
Bearer taapit_...Query Parameters
string
required
Start of the range, ISO 8601 (UTC). Example:
2026-01-01T00:00:00Z.string
required
End of the range, ISO 8601 (UTC). Example:
2026-01-31T23:59:59Z.Response Fields
object
required
Hide Metrics
Hide Metrics
integer
Unique visitors.
integer
Number of sessions.
integer
Total pageviews.
integer
Custom events tracked.
number
Attributed revenue.
string
ISO 4217 currency of
revenue.integer
Number of sales / conversions.
number
Conversion rate (percentage).
number
Revenue divided by unique visitors.
number
Bounce rate (percentage).
integer
Average session duration in seconds.
string
Average session duration as
mm:ss.⌘I